Getting started

Congratulations on obtaining AlfaClock, the most feature-rich and user-friendly clock software for Windows!

AlfaClock enhances your taskbar clock with fully customizable clock display, alarms, time synchronization, popup calendar, time speaking and more.

Copyright (C) 2002-2003, AlfaSoft Research Labs. All rights reserved


What's new

  [!] Important
  [+] New feature
  [-] Fixed error
  [*] Changes

 version 1.71 - October 6, 2004
  [+] "Stay on top" Calendar feature added
  [+] Processing past daily reminders feature added
  [*] Fixed serious bug (crash under Windows XP SP2)
  [*] A lot of minor fixes and improvements

 version 1.60 Release - July 9, 2003
  [+] Save/Restore Settings feature is added (SaveSettings.bat and RestoreSettings.bat in AlfaClock folder)
  [*] Some small bugs were fixed

 version 1.60 RC4 - June 26, 2003
  [!] New registration methods were added (via "keyfile.alfaclock" file, via system registry)
  [+] Now AlfaClock can install registration file ( "keyfile.alfaclock" ) automatically

 version 1.60 RC3 - June 24, 2003
  [+] Performance monitoring feature is added (%cpu format string)
  [+] Memory management status is added (%mem, %mema, %memt format strings)
  [+] Power management status is added (%ac, %batt, %timebatt format strings)

 version 1.60 RC2 - June 18, 2003
  [!] Fixed serious bug in registration scheme (application crash)

 version 1.60 RC1 - June 17, 2003
  [!] New compiler was used to build AlfaClock
  [+] The feature "Check for new version" is added (including HTTP-proxy support)
  [+] Now you can choose action for clicks and dbl-clicks (tray clock)
  [+] Now you can define system-wide hotkeys for most useful AlfaClock actions
  [*] Minor improvements in user interface (concerning Windows XP Themes)
  [*] Some small bugs were fixed ;)

 version 1.52 - 14.04.2003
  [+] Now WAV-files in alarms can be played independently, without using WinAmp
  [-] Fixed serious bug in time syncronization (proxy connection was unavailable)
  [-] Fixed bug in calendar window appearing

 version 1.51 - 04.02.2003
  [-] Fixed bug in "Adjust on Connect" feature
  [-] Fixed bug in "Remember position" calendar feature (lost position data on restart)
  [*] Minor changes in About tab (site links improved)
  [*] XP Manifest now included in resources
  [*] Minor changes in Alarm Advanced Properties (Audio filters were added)

 version 1.50 - 25.01.2003
  [+] New feature on Internet tab: adjust when connection is estabilished
  [+] New format elements: Week number (w, ww), Day of Year (D, DDD)
  [+] Processing past reminders (optional)
  [+] New interface images
  [*] Adjustable internal border (changed)
  [*] About tab is improved
  [*] Help file is improved
  [*] A lot of bit changes
  [*] Some small bugs were fixed

 version 1.43 - 20.12.2002
  [!] Intermediate version. Multitude minor changes.

 version 1.42 - 22.11.2002
  [*] Some improvements in user interface
  [*] Some small bugs were fixed

 version 1.41 - 20.11.2002
  [+] The feature of Calendar "Close when not active" is added
  [*] A lot of bit changes
  [*] Some improvements in user interface
  [*] Some small bugs were fixed

 version 1.40 - 22.10.2002
  [!] Separate text and background colors customization
  [!] Synchronization algorithm was seriously elaborated
  [+] Adjustable internal border
  [+] Support for both SNTP (RFC 2030) and TIME (RFC 868) protocols
  [+] Support for SOCKS v4.0, v4.0A and v5.0 proxy connections
  [+] The feature "periodic time synchronization" is added
  [-] Fixed annoying bug in vertical alignment algorithm
  [*] Some improvements in user interface
  [*] Some small bugs were fixed
  [*] Help file updated (screenshots updated, new information added)

 version 1.37 release - 08.10.2002
  [-] Fixed bug in Preferences Window appearing
  [*] Some small bugs were fixed ;)

 version 1.36 release - 19.09.2002
  [!] Fixed serious compiler bug (crash under Windows XP)

 version 1.36 beta - 5.09.2002
  [!] True vertical alignment for Windows XP
  [-] Fixed bug in Calendar feature (unable to change month)
  [*] Some small bugs were fixed

 version 1.35 - 28.08.2002
  [!] New Voice
  [-] Fixed bug in 12-hour format pronunciation
  [-] Fixed bug in AlfaClock images corruption on some of video cards
  [-] Fixed bug in time difference display (e.g. it shows now 00:00:01 instead of 12:00:01 AM)
  [*] Changed About tab layout

 version 1.3 - 01.08.2002
  [+] New chime-files are added
  [+] Hotkeys for Calendar Window are added, few changes in Calendar behavior
  [+] Now you can close Calendar Window by pressing Escape button
  [+] Now you can also download "light-pack" version of AlfaClock (without Voice Lib)
  [+] New options in Calendar Options tab
  [-] Fixed bug in display "tt" format element
  [-] Fixed bug in Preferences Window appearing
  [-] Fixed bug in calling "Adjust Date/Time" under Win9x/ME
  [*] Interface buttons size optimized
  [*] Changed algorithm for checking for multiple instances
  [*] Help file updated (new information added)
  [*] Fixed bug in single/double clicks recognition (on SystemTray area)

 version 1.2 - 05.07.2002
  [!] Taskbar Clock: pure transparency for Windows XP
  [!] Multiline-format for Taskbar Clock and Clipboard
  [+] New picture in Preferences window
  [+] AlfaClock detect automatically WinXP system and draw Taskbar correctly
  [+] Nag Screen now contain Exit button
  [+] New Format Elements: %sq, ~ and |
  [-] Spell check for tips (thanks to Sandra)
  [-] Fixed bug in side-toolbar under WinXP
  [-] Fixed bug in default font detection
  [-] Fixed bug in adding new alarms (you press "Cancel", but new alarm add nevertheless)
  [*] Caption "Options" changed to "Preferences"
  [*] Fixed bug in DateTimePicker small size (Speech tab)
  [*] Help file updated (screenshots updated)

 version 1.1 - 06.06.2002
  [+] New logic for mouse messages (pop-up calendar on left-click)
  [-] Fixed bug in getting atomic time (message processing)
  [-] Fixed bug in Options-window showing up
  [*] Help file updated (new information added)
  [*] Some small bugs was fixed

 version 1.0  release - 21.05.2002
  [+] New Install system
  [+] New Protect system
  [+] The feature of The Tip Of The Day is added
  [-] Fixed bug in time speaking (chimes lost)
  [*] Help file updated (new screenshots)

 version 1.0  beta3 - 19.05.2002
  [+] The feature Adjust Date/Time is added to menu
  [-] Fixed bug in time speaking
  [-] Fixed bug in loading time servers list
  [*] Time servers list is improved
  [*] Help file is improved
  [*] Some small bugs was fixed

 version 1.0  beta2 - 18.05.2002
  [!] We have opened new domain: http://www.alfasoftweb.com
  [+] Improved user interface and added support Windows XP themes
  [+] The feature of editing servers list is added
  [+] Added Help file
  [*] Some small bugs was fixed

 version 1.0  beta1 - 14.05.2002
  [!] first public release


"Taskbar Clock" Property Page

Use the settings on this page to modify the appearance of the taskbar clock. Similarly to the clock display, you can customise the format of the tooltip, which appears when the cursor hovers over the clock for a few seconds. The "Copy-to-Clipboard" feature, accessible from the menu, lets you paste the time and date into another application via the clipboard. AlfaClock can either simply copy the clock or tooltip onto the clipboard, or you can define your own special format that is used just for copying.

Format Settings

Item
Determines the format edited in "Format String" Edit Box
Format String
Determines the format (depends on "Item"), comprising a number of display elements representing various types of information. Type the desired format string or click "Format Elements" to pick display elements from a list.
Format Elements
Displays a list of display elements that may be used in "Format String".
Fixed Width
Forces the clock panel to a fixed width, regardless of format and choice of font. This has no effect if the taskbar is attached to the left or right hand edge of the screen.

Layout Settings

Internal Border width
Determines the width for internal border area
Font
Chooses a font for the taskbar clock.
Use Custom Font
(If unchecked) Uses the normal system font for the clock, which is usually the same as the font used for window caption.
Text Color
Chooses the foreground color of the clock.
Use Custom Text Color
(If unchecked) Uses the normal system color for the text of taskbar clock.
Background Color
Chooses the background color of the clock.
Use Custom Background
(If unchecked) Uses the normal system color for the clock panel.

System Settings

Load automatically when Windows starts
Adds an instruction to the system registry that causes AlfaClock to load automatically as part of the Windows boot-up sequence. Do not put a shortcut into the Startup menu if this option is checked, otherwise two instances of AlfaClock will be started each time, with undesirable side-effects.
Do not customize clock
Check whether AlfaClock change the taskbar layout or not.


"Atomic Clock" Property Page

The NIST Internet Time Service allows users to synchronize computer clocks via the Internet. The time information provided by the service is directly traceable to UTC(NIST). The service responds to time requests from any Internet client in several formats including the SNTP (RFC 2030) and TIME (RFC 868) protocols.

Manual Adjust

Local time
Shows the time as reported by your PC.
Exact time
Shows the time value as reported by the atomic clock.
Correction
Shows how far off your PC is from the time server.
Get Time
This button will cause the application to gather a new time from the time server and compare it to your local PC time.
Adjust
This button will set your PC clock to match the time server (taking into account your time zone or hour offset, of course).

Advanced Settings

Adjust time periodically
Sets preferred auto update interval (in hours).
Adjust method
Chooses adjust method.
Active protocol
Chooses active synchronization protocol.
Time Servers ...
Shows dialog window to manage list of time servers.
Use proxy
Use proxy connection or not.
Version
Chooses SOCKS version for proxy connection.
Address
Proxy-server address. May be either domain or IP-address.
Port
Server port. Usually, it is 1080. Don't confuse Socks5 proxy with http and ftp proxies, which are on 3128 and 3121 ports by default. The program doesn't work through http or ftp proxies.
Proxy authentication
The server requires authentication, i.e. requires user login and password. In most Socks5 realizations, the login and password are transferred as a plain text, as described in RFC 1929 document.
Username
The name (login) of Socks5 proxy server user.
Password
The password for Socks5 proxy server user.


Time Servers Edit Dialog

Use this window to manage list of time servers.

You can select the any number of servers!!! ( We do not recommend you choose more than 4-6 of time servers. )


"Talking Clock" Property Page

AlfaClock announces the date, time, or both, at specified intervals.

Interval

The Interval setting allows you to specify the frequency of time announcements.

Snooze

Use the Snooze feature to specify a time period for which to suspend time announcements. This is especially useful if you keep your computer on all night.

What to say

You can customize the time announcement by changing the What to Say settings.

You can choose one of three types of date announcements: long date (e.g., Wednesday, October 24, 2001), medium date (e.g., October 24, 2001), or short date (e.g., October 24).

You can choose one of four types of time announcements: 12-hour format, 24-hour format, or military format.


"Alarm Clock" Property Page

Alarm list is used to manage all existing alarms. You can add, edit, delete, test alarms using this window.

Alarm list

Add
You can add new alarms using "Add" Button.
Delete
You can delete currently selected alarm using "Delete" Button.
Edit
You can edit currently selected alarm using "Edit" Button.
Test
If you want to check how alarm message will look like, you can use "Test" Button to test the currently selected alarm.

Note

Enable/disable alarms

You can temporarily disable alarms using Checkboxes in list.


Alarm Edit Dialog

Use this window to setup alarm frequency, date, time and message. To setup other alarm settings use the Advanced setup window.

Alarm Properties

This Alarm is enabled
Uncheck this option if you want to suspend alarm run.
Frequency
Mode of alarm's execution. Can be Once, Daily or Weekly.
Date, Day of week, Hour, Minute
Alarm time.
Delete automatically
Set this option if you want to delete alarm automatically in Once mode.
Show this text in message
Set this option and type in any text you wish to associate with alarm. This text will be displayed in the alarm message.


Alarm Edit Dialog (Advanced)

Use this window to setup alarm sound and alarm launch.

Play sound

Media file or playlist
Press Open to open files. (These media files can be played only by using WinAmp).

Launch file (Check this option to assign application or document to the alarm)

Application or document
Press Open to open files.
Launch parameters
Type in the command-line parameters for the program.
Launch action
Choose launch action for document.


"Calendar" Property Page

The options on this page relate to the calendar feature built into AlfaClock. The calendar shows a month at a time, and has options to include week numbers (determined according to ISO8601), highlight weekends, and change the first day of the week. You can now also choose a font and a color for the calendar.

Layout Setup

Highlight Days
The selected days are highlighted on the calendar with a different colour.
Week Begins On
Determines the day on which calendar weeks will begin. This option does not affect the determination of week numbers, which are based on the ISO8601 standard. ISO8601 weeks always begin on Mondays.
Font
Chooses a font for the calendar.
Show Week Numbers
Includes week numbers on the calendar. Week numbers are determined according to the ISO8601 standard.
Show Day Names
Includes day names on the calendar.
Show Month Name
Includes month name on the calendar.
Show Days of Previous Month
Includes days of prevoius month on the calendar.
Draw numbers in rect
Check whether Calendar draw numbers in rect or not.
Draw current day in rect
Check whether Calendar draw current day in rect or not.

Colors

Choose the colours of the calendar.


Registration

AlfaClock is not freeware. You are entitled to evaluate the program free of charge for 30 days. After that you must register or stop using it.

The registration information and prices are available at http://www.alfasoftweb.com/order.

By purchasing AlfaClock you are not only paying for what you have, but also investing in the future. Once you become a registered user, all upgrades of this software will be available to you free of charge. Registration also entitles you to receive lifelong free technical support via e-mail.

Note! Before you register, make sure you have the latest version of the software. The latest version is always accessible at http://www.alfasoftweb.com/download.

Frequently Asked Questions

Q: How can I order your programs and what is the cost?
A: You can get the pricing info and/or purchase any of our programs at our site http://www.alfasoftweb.com.

Q: I do not feel safe paying in online mode. Do you have any other way of payment?
A: You make your online purchase with ShareIt! - the leading European software registration and order-taking company with offices in Germany and USA. Order pages are located on secure servers providing maximum possible security for your private data. The online payment is very reliable and fast. But you can purchase any of our programs by postal order, fax or even toll-free phone - just select an alternative payment method at the registration page. The detailed instructions are available at our registration page (http://www.alfasoftweb.com/order).

Q: I want to purchase several copies of your program. Can I get any discount?
A: Yes, you can! Contact our sales department at sales@alfasoftweb.com.

If you haven't found the answer to your question here, feel free to email our support service at support@alfasoftweb.com.


Technical Support

Before you contact us, please do the following:

  • Be sure that you're doing everything right. We all make mistakes sometimes: Be attentive.
  • Look at the Help file: it may already contain an answer to your question. A lot of people ask us something like "how do I:", though the complete information is there (in the document you're reading now).
  • Visit AlfaClock support site in the Internet at http://www.alfasoftweb.com. It's a good chance that you'll find the newer version of AlfaClock there; we're trying to update the program once a month or even more frequently - when our stuff is not on vacations, of course. Also, if the serious bug has been found in the program, but the new version is not ready yet, we make the hot fix for it.

But if you still have a problem with AlfaClock and nothing else helps, please contact technical support stuff at:support@alfasoftweb.com.

Please inform us about the following:

  • AlfaClock version (from About dialog)
  • AlfaClock registration name (if you're a registered user) - this will help us to process your request faster.
  • where did you get AlfaClock (http or ftp site).
  • Windows 95/98/Me/NT/2000/XP version (including service packs and other fixes installed), US or international, OEM or not
  • computer information: CPU type and speed, amount of memory installed
  • description of your problem (as much information as possible to retrieve the problem)
  • any additional information, which may help

Note: you may want to read the "How to Determine the Version of Windows 95 in Use" article by Microsoft.

In order to get the complete computer information, open the Control Panel, click on "System" applet and press "Print" on "Device Manager" tab.

We'll try to help you as fast as possible, usually in one or two business days.

If you have any comments or suggestions for the next releases, please feel free to post them to us.


Copyright and license

The AlfaClock is shareware. This means:

  • AlfaSoft Research Labs exclusively owns all copyrights to AlfaClock.
  • Anyone may use this software during a test period of 30 days. Following this test period of 30 days or less, if you wish to continue to use AlfaClock, you MUST register.
  • Once registered, the user is granted a non-exclusive license to use AlfaClock on one computer (i.e. a single CPU), for any legal purpose, at a time. The registered AlfaClock software may not be rented or leased but may be permanently transferred, if the person receiving it agrees to terms of this license. If the software is an update, the transfer must include the update and all previous versions.
  • The AlfaClock unregistered shareware version may be freely distributed, if the distribution package is not modified. No person or company may charge a fee for the distribution of AlfaClock without written permission from the copyright holder.
  • You may not use, copy, emulate, clone, rent, lease, sell, modify, decompile, disassemble, otherwise reverse engineer, or transfer the licensed program, or any subset of the licensed program, except as provided for in this agreement.
  • Any such unauthorised use shall result in immediate and automatic termination of this license and may result in criminal and/or civil prosecution.
  • AlfaSoft Research Labs reserves all rights not expressly granted here.
  • Installing and using AlfaClock signifies acceptance of these terms and conditions of the license.
  • If you do not agree with the terms of this license you must remove AlfaClock files from your storage devices and cease to use the product.